For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
      • POSTGenerate Interchange token
      • GETGet Quote from Interchange token
  • Products API
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Quotes APIInterchange

Generate Interchange token

POST
https://api-staging.nibtravelinsurance.com/quotes/v2/:brandCode/quote/:quoteId/interchange
POST
/quotes/v2/:brandCode/quote/:quoteId/interchange
$curl -X POST https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/interchange \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "token": "token"
3}
Was this page helpful?
Previous

Get Quote from Interchange token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Allowed values:
quoteIdstringRequired

Query parameters

ttlintegerOptional

Response

Success
tokenstring